Moniker
GET/api/v1/moniker/namespaces
Authorization
bearer_token In: header
Query Parameters
Conditions as filter[][]=. Conditions on different fields all apply. in (any of) and all (every one of, on fields holding several values) take a comma-separated list (\, for a literal comma). exists takes true or false. Datetimes are RFC 3339, now, or a time before now such as -30m, -6h or -7d.
Full-text search over this list's searchable fields.
1 <= length <= 200Comma-separated sort keys, - for descending, at most 1. Keys: name, version, updated_at, created_at. Default: -created_at.
Rows per page, 1 to 100 (default 25).
1 <= value <= 100The page.next_cursor of the previous page. Cannot be combined with page.
A 1-based page number, for jumping. Cannot be combined with cursor.
1 <= valueSet to true to include the number of matching rows in page.total.
Response Body
application/json
curl -X GET "https://example.com/api/v1/moniker/namespaces"{ "namespaces": [ { "created_at": "2019-08-24T14:15:22Z", "created_by": "string", "description": "string", "lifecycle": { "grace_period_days": 0, "quarantine_days": 0, "reservation_ttl_seconds": 0 }, "name": "string", "namespace_id": "string", "policy": { "case_insensitive": true, "charset": "alphanumeric_underscore", "confusable_detection": true, "max_length": 0, "min_length": 0, "profanity_filter": "off", "reserved_patterns": [ "string" ], "reserved_words": [ "string" ], "unicode_normalization": "nfkc" }, "premium": { "enabled": true, "patterns": [ { "pattern": "string", "price": { "amount": 0, "currency": "string" }, "rule": "max_length", "value": 0 } ], "treasury_account": "string" }, "updated_at": "2019-08-24T14:15:22Z", "version": 0 } ], "page": { "has_more": true, "next_cursor": "string", "page": 0, "total": 0 }}POST/api/v1/moniker/namespaces
Authorization
bearer_token In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/moniker/namespaces" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "created_at": "2019-08-24T14:15:22Z", "created_by": "string", "description": "string", "lifecycle": { "grace_period_days": 0, "quarantine_days": 0, "reservation_ttl_seconds": 0 }, "name": "string", "namespace_id": "string", "policy": { "case_insensitive": true, "charset": "alphanumeric_underscore", "confusable_detection": true, "max_length": 0, "min_length": 0, "profanity_filter": "off", "reserved_patterns": [ "string" ], "reserved_words": [ "string" ], "unicode_normalization": "nfkc" }, "premium": { "enabled": true, "patterns": [ { "pattern": "string", "price": { "amount": 0, "currency": "string" }, "rule": "max_length", "value": 0 } ], "treasury_account": "string" }, "updated_at": "2019-08-24T14:15:22Z", "version": 0}GET/api/v1/moniker/namespaces/{namespace_id}
Authorization
bearer_token In: header
Path Parameters
Response Body
application/json
curl -X GET "https://example.com/api/v1/moniker/namespaces/string"{ "created_at": "2019-08-24T14:15:22Z", "created_by": "string", "description": "string", "lifecycle": { "grace_period_days": 0, "quarantine_days": 0, "reservation_ttl_seconds": 0 }, "name": "string", "namespace_id": "string", "policy": { "case_insensitive": true, "charset": "alphanumeric_underscore", "confusable_detection": true, "max_length": 0, "min_length": 0, "profanity_filter": "off", "reserved_patterns": [ "string" ], "reserved_words": [ "string" ], "unicode_normalization": "nfkc" }, "premium": { "enabled": true, "patterns": [ { "pattern": "string", "price": { "amount": 0, "currency": "string" }, "rule": "max_length", "value": 0 } ], "treasury_account": "string" }, "updated_at": "2019-08-24T14:15:22Z", "version": 0}GET/api/v1/moniker/{namespace}/admin/audit
Authorization
bearer_token In: header
Path Parameters
Query Parameters
Conditions as filter[][]=. Conditions on different fields all apply. in (any of) and all (every one of, on fields holding several values) take a comma-separated list (\, for a literal comma). exists takes true or false. Datetimes are RFC 3339, now, or a time before now such as -30m, -6h or -7d.
Full-text search over this list's searchable fields.
1 <= length <= 200Comma-separated sort keys, - for descending, at most 1. Keys: created_at, updated_at, registered_at. Default: -registered_at.
Rows per page, 1 to 100 (default 25).
1 <= value <= 100The page.next_cursor of the previous page. Cannot be combined with page.
A 1-based page number, for jumping. Cannot be combined with cursor.
1 <= valueSet to true to include the number of matching rows in page.total.
Response Body
application/json
curl -X GET "https://example.com/api/v1/moniker/string/admin/audit"{ "names": [ { "canonical": "string", "confusable_skeleton": "string", "expires_at": "2019-08-24T14:15:22Z", "name": "string", "name_id": "string", "namespace_id": "string", "owner": { "id": "string", "type": "user" }, "premium": true, "registered_at": "2019-08-24T14:15:22Z", "status": "reserved" } ], "page": { "has_more": true, "next_cursor": "string", "page": 0, "total": 0 }}POST/api/v1/moniker/{namespace}/admin/bulk-grant
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/moniker/string/admin/bulk-grant" \ -H "Content-Type: application/json" \ -d '{ "grants": [ { "name": "string", "owner_id": "string" } ] }'{ "count": 0, "granted": [ "string" ]}POST/api/v1/moniker/{namespace}/admin/force-quarantine
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/moniker/string/admin/force-quarantine" \ -H "Content-Type: application/json" \ -d '{ "days": 0, "name": "string" }'{ "canonical": "string", "confusable_skeleton": "string", "expires_at": "2019-08-24T14:15:22Z", "name": "string", "name_id": "string", "namespace_id": "string", "owner": { "id": "string", "type": "user" }, "premium": true, "registered_at": "2019-08-24T14:15:22Z", "status": "reserved"}POST/api/v1/moniker/{namespace}/admin/reserved-words
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/moniker/string/admin/reserved-words" \ -H "Content-Type: application/json" \ -d '{ "words": [ "string" ] }'{ "namespace_id": "string", "total_reserved_words": 0, "version": 0}GET/api/v1/moniker/{namespace}/check
Authorization
bearer_token In: header
Path Parameters
Query Parameters
Candidate name to check for availability
Response Body
application/json
curl -X GET "https://example.com/api/v1/moniker/string/check?name=string"{ "available": true, "reason": "string", "suggestions": [ "string" ]}POST/api/v1/moniker/{namespace}/confirm
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/moniker/string/confirm" \ -H "Content-Type: application/json" \ -d '{ "reservation_id": "string" }'{ "canonical": "string", "confusable_skeleton": "string", "expires_at": "2019-08-24T14:15:22Z", "name": "string", "name_id": "string", "namespace_id": "string", "owner": { "id": "string", "type": "user" }, "premium": true, "registered_at": "2019-08-24T14:15:22Z", "status": "reserved"}POST/api/v1/moniker/{namespace}/escrow/cancel
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/moniker/string/escrow/cancel" \ -H "Content-Type: application/json" \ -d '{ "escrow_id": "string" }'{ "canonical": "string", "confusable_skeleton": "string", "expires_at": "2019-08-24T14:15:22Z", "name": "string", "name_id": "string", "namespace_id": "string", "owner": { "id": "string", "type": "user" }, "premium": true, "registered_at": "2019-08-24T14:15:22Z", "status": "reserved"}POST/api/v1/moniker/{namespace}/escrow/settle
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/moniker/string/escrow/settle" \ -H "Content-Type: application/json" \ -d '{ "escrow_id": "string" }'{ "canonical": "string", "confusable_skeleton": "string", "expires_at": "2019-08-24T14:15:22Z", "name": "string", "name_id": "string", "namespace_id": "string", "owner": { "id": "string", "type": "user" }, "premium": true, "registered_at": "2019-08-24T14:15:22Z", "status": "reserved"}GET/api/v1/moniker/{namespace}/escrow/{escrow_id}
Authorization
bearer_token In: header
Path Parameters
Response Body
application/json
curl -X GET "https://example.com/api/v1/moniker/string/escrow/string"{ "buyer": { "id": "string", "type": "user" }, "closed_at": "2019-08-24T14:15:22Z", "escrow_id": "string", "name_id": "string", "namespace_id": "string", "opened_at": "2019-08-24T14:15:22Z", "price": null, "seller_id": "string", "status": "open"}GET/api/v1/moniker/{namespace}/mine
Authorization
bearer_token In: header
Path Parameters
Query Parameters
Conditions as filter[][]=. Conditions on different fields all apply. in (any of) and all (every one of, on fields holding several values) take a comma-separated list (\, for a literal comma). exists takes true or false. Datetimes are RFC 3339, now, or a time before now such as -30m, -6h or -7d.
Full-text search over this list's searchable fields.
1 <= length <= 200Comma-separated sort keys, - for descending, at most 1. Keys: created_at, updated_at, registered_at. Default: -registered_at.
Rows per page, 1 to 100 (default 25).
1 <= value <= 100The page.next_cursor of the previous page. Cannot be combined with page.
A 1-based page number, for jumping. Cannot be combined with cursor.
1 <= valueSet to true to include the number of matching rows in page.total.
Response Body
application/json
curl -X GET "https://example.com/api/v1/moniker/string/mine"{ "names": [ { "canonical": "string", "confusable_skeleton": "string", "expires_at": "2019-08-24T14:15:22Z", "name": "string", "name_id": "string", "namespace_id": "string", "owner": { "id": "string", "type": "user" }, "premium": true, "registered_at": "2019-08-24T14:15:22Z", "status": "reserved" } ], "page": { "has_more": true, "next_cursor": "string", "page": 0, "total": 0 }}DELETE/api/v1/moniker/{namespace}/names/{name}
Authorization
bearer_token In: header
Path Parameters
Response Body
application/json
curl -X DELETE "https://example.com/api/v1/moniker/string/names/string"{ "message": "string", "name": "string", "status": "reserved"}GET/api/v1/moniker/{namespace}/names/{name}/history
Authorization
bearer_token In: header
Path Parameters
Query Parameters
Conditions as filter[][]=. Conditions on different fields all apply. in (any of) and all (every one of, on fields holding several values) take a comma-separated list (\, for a literal comma). exists takes true or false. Datetimes are RFC 3339, now, or a time before now such as -30m, -6h or -7d.
Comma-separated sort keys, - for descending, at most 1. Keys: at. Default: at.
Rows per page, 1 to 100 (default 25).
1 <= value <= 100The page.next_cursor of the previous page. Cannot be combined with page.
A 1-based page number, for jumping. Cannot be combined with cursor.
1 <= valueSet to true to include the number of matching rows in page.total.
Response Body
application/json
curl -X GET "https://example.com/api/v1/moniker/string/names/string/history"{ "history": [ { "at": "2019-08-24T14:15:22Z", "by": "string", "detail": "string", "event": "reserved" } ], "name": "string", "namespace_id": "string", "page": { "has_more": true, "next_cursor": "string", "page": 0, "total": 0 }}POST/api/v1/moniker/{namespace}/names/{name}/transfer
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/moniker/string/names/string/transfer" \ -H "Content-Type: application/json" \ -d '{ "to": "string" }'{ "escrow_id": "string", "escrow_pending": true, "name": "string", "owner": { "id": "string", "type": "user" }, "status": "reserved"}POST/api/v1/moniker/{namespace}/reserve
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/moniker/string/reserve" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "canonical": "string", "expires_at": "2019-08-24T14:15:22Z", "name": "string", "premium": true, "price": null, "reservation_id": "string", "status": "reserved"}